* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: white;
    display: grid;
    grid-template-columns: auto 1fr;
    grid-template-rows: auto 1fr auto;
    grid-template-areas: "header header" "nav main" "footer footer";
    max-width: 100vw;
    overflow-x: hidden;
}

#header {
    grid-area: header;
    background-color: rgb(176, 87, 115);
    height: 12vh;
    display: flex;
    justify-content: center;
    color: black;
    font-size: 22px;
    align-items: center;
    box-shadow: 0px 5px 0px 0px #666;
}

#footer {
    grid-area: footer;
    color: black;
    width: 100vw;
    box-shadow: 0px 0px 0px 5px #666;
    font-size: 1em;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.sidebar {
    grid-area: nav;
    height: 100vh;
    width: 20vw;
    font-size: 2em;
    display: flex;
    flex-direction: column;
    box-shadow: 5px 0px 0px 0px #666;
}

.bar-item {
    text-decoration: none;
    color: #333;
    padding-inline: 2em;
    padding-block: 0.5em;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 1px 0px 0px #ddd;
}

.bar-item:hover {
    background: #888;
}

main {
    grid-area: main;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    
}

#pongCanvas {
    background-color: #000;
    border: 2px solid #fff;
    width: 800px;
    height: 400px;
}

.score {
    margin: 10px;
    font-size: 24px;
}

.calculator {
    display: flex;
    align-items: center;
}

.calc-input {
    margin-right: 10px;
}

.calc-buttons {
    display: flex;
    flex-direction: column;
    button{
        width: 50px;
        margin-bottom: 4px;
        border-radius: 4px;
        height: 50px;
  
    }
   
}

.terning {
    button{
        height: 100px;
        width: 100px;
    }
}

button:hover{

    background-color: rgb(106, 106, 106);
        }

.number {
    border-radius: 4px;
}

#startButton {
    display: none;
    padding: 10px 20px;
    font-size: 18px;
    cursor: pointer;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 5px;
    margin-top: 20px;
}

#startButton:hover {
    background-color: #45a049;
}

#demo {
    position: absolute;
    left: 50px;
}